## zbar 0.23.1

=== debian/changelog ===
zbar (0.23.1-4) unstable; urgency=medium

  * Rebuild before Debian 11 release.
  * Bump Standards-Version to 4.5.1.
  * debian/patches/0004-autoconf-2.70-compat: Fix compatibility with
    autoconf 2.70. (Closes: #978929)

 -- Boyuan Yang <byang@debian.org>  Thu, 31 Dec 2020 13:02:13 -0500

zbar (0.23.1-3) unstable; urgency=medium

  * debian/gbp.conf: Dropped to respect user's custom setting.
  * debian/rules: Drop --as-needed linker flag, now useless.
  * debian/control: Make myself as maintainer per old
    maintainer's suggestion.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Nov 2020 12:27:47 -0500

zbar (0.23.1-2) unstable; urgency=high

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Boyuan Yang ]
  * Bump debhelper compat to v13.
  * debian/patches/0003: Add upstream patch for compatibility with
    python3.9. (Closes: #972778)

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Nov 2020 21:12:17 -0500

zbar (0.23.1-1) unstable; urgency=medium

  * New upstream release 0.23.1.
  * debian/control:
    + Add myself as package uploader.
    + Mark package libzbarqt-dev as Multi-Arch: same.
    + Mark package zbarcam-qt and zbarcam-gtk as linux-any so that
      the builds on non-linux platforms do not fail.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Apr 2020 10:42:56 -0400

zbar (0.23-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * debian/control: Disable building python3 extension for all
    python versions again. Upstream code does not support it yet.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Feb 2020 14:02:50 -0500

zbar (0.23-1.3~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add back Qt5 binding. New packages:
    - libzbarqt0: Qt5 zbar binding
    - libzbarqt-dev: Qt5 zbar binding (development file)
    - zbarcam-qt: Qt5 zbar camera frontend tool
    - zbarcam-gtk: Gtk zbar camera frontend tool
    (Closes: #950398)
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Mention QR code in package short description.
      (Closes: #946576)
  * debian/rules: Build python3 extension for all supported
    python versions.
  * debian/patches: Cherry-pick patches of error fix and Qt5
    support.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Jan 2020 23:46:17 -0500
