## zbar 0.23.90

=== debian/changelog ===
zbar (0.23.90-1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2023-40889 qrdec.c: Fix array out-of-bounds access (Closes: #1051724)
  * Add bounds check for CVE-2023-40890 (Closes: #1051724)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 14 Jan 2024 16:50:18 +0100

zbar (0.23.90-1) unstable; urgency=medium

  * New upstream release.
    + Make library compatible with python3.9.
  * debian/control: Drop obsolete X-Python3-Version field.
  * debian/rules: Use dh13 syntax.
  * debian/patches: Drop patches merged upstream.

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Feb 2021 11:30:55 -0500
