=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  xmlto,
  libgtk-3-dev,
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.6
 Standards-Version: 4.5.1
 Homepage: https://github.com/mchehab/zbar
 Vcs-Git: https://salsa.debian.org/debian/zbar.git
