=== debian/rules ===
--- 
+++ 
@@ -40,8 +40,7 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='zbar-dbg (<< 0.21~)'
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	# Also clean up perl-related files
 	[ ! -f $(CURDIR)/perl/Makefile ] || $(MAKE) -C perl realclean
