=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%zbar-$1.tar.gz%" \
 https://github.com/mchehab/zbar/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
