## zbar 0.23.92

=== debian/changelog ===
zbar (0.23.92-7+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2023-40889 qrdec.c: Fix array out-of-bounds access (Closes: #1051724)
  * Add bounds check for CVE-2023-40890 (Closes: #1051724)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 14 Jan 2024 16:37:27 +0100

zbar (0.23.92-7) unstable; urgency=high

  * debian/patches/0002: Add proposed patch to fix build against
    python3.11.
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Jan 2023 10:42:37 -0500

zbar (0.23.92-6) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.1.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Jul 2022 10:03:36 -0400

zbar (0.23.92-5) unstable; urgency=medium

  * debian/rules: Drop completed dbgsym migration.
  * Enable gobject-introspection build:
    + Add build-dep on gobject-introspection and libgirepository1.0-dev.
    + Add new binary package: gir1.2-zbar-1.0. (Closes: #1014226)

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Jul 2022 04:52:23 -0400

zbar (0.23.92-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0.
  * debian/tests/control: Use PNG output for autopkgtest (See #995362).
  * debian/control: Let libzbar0 recommends libmagickcore-6.q16-6-extra
    for extra encoding support (e.g., SVG). See also: #995362.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Oct 2021 14:01:42 -0400

zbar (0.23.92-3) unstable; urgency=medium

  * debian/: Apply "wrap-and-sort -abst".
  * debian/control: Drop unused build-dependency on gtk2 libraries.
    (Closes: #967847)

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Aug 2021 11:41:41 -0400

zbar (0.23.92-2) unstable; urgency=medium

  [ John Scott ]
  * Add a few DEP-8 tests leveraging other barcode-related packages.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 00:09:40 -0400

zbar (0.23.92-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 11:39:26 -0400
