=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
  debhelper-compat (= 13),
  dh-exec,
  dh-sequence-python3,
+ gobject-introspection,
  libdbus-1-dev,
- libgtk2.0-dev,
+ libgirepository1.0-dev,
+ libgtk-3-dev,
  libjpeg-dev,
  libmagick++-dev,
  libqt5x11extras5-dev,
@@ -18,9 +20,8 @@
  python3-dev:any,
  qtbase5-dev,
  xmlto,
- libgtk-3-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/mchehab/zbar
 Vcs-Git: https://salsa.debian.org/debian/zbar.git
 Vcs-Browser: https://salsa.debian.org/debian/zbar
@@ -28,7 +29,6 @@
 Package: libbarcode-zbar-perl
 Section: perl
 Architecture: any
-Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${perl:Depends},
@@ -48,6 +48,7 @@
  libmagick++-dev,
  libx11-dev,
  libzbar0 (= ${binary:Version}),
+ gir1.2-zbar-1.0 (= ${binary:Version}),
  ${misc:Depends},
 Description: QR code / bar code scanner and decoder (development)
  ZBar is a library for scanning and decoding bar codes from various sources
@@ -64,6 +65,9 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+# SVG support; See https://bugs.debian.org/995362
+ libmagickcore-6.q16-6-extra,
 Description: QR code / bar code scanner and decoder (library)
  ZBar is a library for scanning and decoding bar codes from various sources
  such as video streams, image files or raw intensity sensors. It supports
@@ -76,7 +80,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgtk2.0-dev,
+ libgtk-3-dev,
  libzbar-dev (= ${binary:Version}),
  libzbargtk0 (= ${binary:Version}),
  ${misc:Depends},
@@ -102,44 +106,6 @@
  EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
  .
  This package contains the GTK+ bindings.
-
-Package: python3-zbar
-Section: python
-Architecture: any
-Multi-Arch: same
-Replaces:
- python-zbarpygtk (<< 0.10+doc),
-Breaks:
- python-zbarpygtk (<< 0.10+doc),
-Depends:
- libzbar0 (= ${binary:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Description: QR code / bar code scanner and decoder (Python bindings)
- ZBar is a library for scanning and decoding bar codes from various sources
- such as video streams, image files or raw intensity sensors. It supports
- EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
- .
- This package contains the Python bindings.
-
-Package: zbar-tools
-Section: graphics
-Architecture: any
-Depends:
- libzbar0 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Suggests:
- zbarcam-qt,
- zbarcam-gtk,
-Description: QR code / bar code scanner and decoder (utilities)
- ZBar is a library for scanning and decoding bar codes from various sources
- such as video streams, image files or raw intensity sensors. It supports
- EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
- .
- This package contains basic applications for decoding captured bar code images
- and using a video4linux device (e.g. webcam) as a bar code scanner.
 
 Package: libzbarqt-dev
 Section: libdevel
@@ -172,6 +138,53 @@
  .
  This package contains the library for Qt binding.
 
+Package: python3-zbar
+Section: python
+Architecture: any
+Multi-Arch: same
+Depends:
+ libzbar0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Description: QR code / bar code scanner and decoder (Python bindings)
+ ZBar is a library for scanning and decoding bar codes from various sources
+ such as video streams, image files or raw intensity sensors. It supports
+ EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
+ .
+ This package contains the Python bindings.
+
+Package: zbar-tools
+Section: graphics
+Architecture: any
+Depends:
+ libzbar0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ zbarcam-gtk,
+ zbarcam-qt,
+Description: QR code / bar code scanner and decoder (utilities)
+ ZBar is a library for scanning and decoding bar codes from various sources
+ such as video streams, image files or raw intensity sensors. It supports
+ EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
+ .
+ This package contains basic applications for decoding captured bar code images
+ and using a video4linux device (e.g. webcam) as a bar code scanner.
+
+Package: zbarcam-gtk
+Architecture: linux-any
+Depends:
+ libzbargtk0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: QR code / bar code scanner and decoder (Gtk camera tool)
+ ZBar is a library for scanning and decoding bar codes from various sources
+ such as video streams, image files or raw intensity sensors. It supports
+ EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
+ .
+ This package contains the Gtk-based camara frontend tool.
+
 Package: zbarcam-qt
 Architecture: linux-any
 Depends:
@@ -185,15 +198,18 @@
  .
  This package contains the Qt-based camara frontend tool.
 
-Package: zbarcam-gtk
-Architecture: linux-any
-Depends:
- libzbargtk0 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: QR code / bar code scanner and decoder (Gtk camera tool)
- ZBar is a library for scanning and decoding bar codes from various sources
- such as video streams, image files or raw intensity sensors. It supports
- EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
- .
- This package contains the Gtk-based camara frontend tool.
+Package: gir1.2-zbar-1.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${gir:Depends},
+ ${misc:Depends},
+Description: QR code / bar code scanner and decoder (introspection data)
+ ZBar is a library for scanning and decoding bar codes from various sources
+ such as video streams, image files or raw intensity sensors. It supports
+ EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
+ .
+ This package contains the GObject introspection data which are needed
+ for developing the zbar library in various programming languages
+ with GObject introspection support.
