=== debian/rules ===
--- 
+++ 
@@ -32,13 +32,10 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='zbar-dbg (<< 0.21~)'
 
 execute_after_dh_clean:
 	# Also clean up perl-related files
