## zbar 0.23.93

=== debian/changelog ===
zbar (0.23.93-9) unstable; urgency=medium

  * QA upload.
  * debian/control: Migrate away from libgirepository1.0-dev.
  * debian/control: Add build-test-dependency python3-gil.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Aug 2025 18:27:08 -0400

zbar (0.23.93-8) sid; urgency=medium

  * QA upload.

  * Reinserted salsa Vcs-* references to d/control.
  * Updated Standards-Version from 4.7.0 to 4.7.2.
  * Renamed obsolete build dependency pkg-config to pkgconf.
  * Switched FSF address with URL in d/copyright to keep lintian happy.
  * Added XDG desktop files for zbarcam-gtk and
    zbarcam-qt (Closes: #1010776).
  * Added perl-xs-dev as build depend for future
    proofing (Closes: #1102867).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 01 May 2025 09:00:31 +0200

zbar (0.23.93-7) sid; urgency=medium

  * Orphaning package.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 20 Feb 2025 21:50:44 +0100

zbar (0.23.93-6) sid; urgency=medium

  * Uploading to sid.
  * Updating recommends on imagemagick (Closes: #1086532).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Nov 2024 12:01:25 +0100

zbar (0.23.93-5) sid; urgency=medium

  * Uploading to sid.
  * Adding vcs fields.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 25 Jul 2024 06:55:52 +0200

zbar (0.23.93-4) sid; urgency=medium

  * Uploading to sid.
  * New "old" maintainer (Closes: #1065691).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Mar 2024 01:07:08 +0100

zbar (0.23.93-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Mar 2024 19:01:57 -0500

zbar (0.23.93-2) unstable; urgency=medium

  * debian/control: Update binary package recommendation:
    libmagickcore-6.q16-7-extra => libmagickcore-6.q16-7-extra.
    (Closes: #1064582)

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Feb 2024 14:23:14 -0500

zbar (0.23.93-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063306

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 08:15:04 +0000

zbar (0.23.93-1) unstable; urgency=medium

  * Acknowledge NMU.
  * New upstream release.
  * debian/patches/: Drop patches 0002-0004, merged upstream.
  * debian/rules: Use buildtools.mk from dpkg for correct PKG_CONFIG.
  * debian/patches/:
    + 0002-configure.ac-Do-not-use-hardcoded-pkg-config-command.patch:
      Use $PKG_CONFIG instead of hardcoded pkg-config command.
    + 0003-configure.ac-Use-old-way-to-detect-Qt5.patch:
      Revert to old method of detecting Qt5.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jan 2024 10:57:46 -0500

zbar (0.23.92-9) unstable; urgency=high

  * Non-maintainer upload.
  * Fix two security bug (Closes: #1051724):
    - Fix CVE-2023-40889: A heap-based buffer overflow existed
      in the qr_reader_match_centers function.
      Specially crafted QR codes may lead to information disclosure
      and/or arbitrary code execution. To trigger this
      vulnerability, an attacker can digitally input the
      malicious QR code, or prepare it to be physically scanned
      by the vulnerable scanner.
    - Fix CVE-2023-40890: A stack overflow was present in lookup_sequence
      function of ZBar 0.23.90. Specially crafted QR codes may lead
      to information disclosure and/or arbitrary code execution.
      To trigger this vulnerability, an attacker can digitally input
      the malicious QR code, or prepare it to be physically scanned
      by the vulnerable scanner.

 -- Bastien Roucariès <rouca@debian.org>  Thu, 30 Nov 2023 11:19:08 +0000

zbar (0.23.92-8) unstable; urgency=medium

  * debian/control: Mark package zbarcam-gtk and zbarcam-qt as in
    Section: utils. (Closes: #1042472)

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Jul 2023 10:28:31 -0400
