=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: zbar
 Section: libs
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Build-Depends:
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  dh-exec,
  dh-sequence-python3,
- gobject-introspection,
+ gir1.2-gdk-3.0-dev <!nogir>,
+ gir1.2-gtk-3.0-dev <!nogir>,
+ gir1.2-glib-2.0-dev <!nogir>,
+ gobject-introspection <!nogir>,
  libdbus-1-dev,
- libgirepository1.0-dev,
  libgtk-3-dev,
  libjpeg-dev,
  libmagick++-dev,
@@ -16,12 +18,14 @@
  libv4l-dev [linux-any],
  libx11-dev,
  perl,
- pkg-config,
+ perl-xs-dev,
+ pkgconf,
  python3-dev:any,
+ python3-pil <!nocheck>,
  qtbase5-dev,
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/mchehab/zbar
 Vcs-Git: https://salsa.debian.org/debian/zbar.git
 Vcs-Browser: https://salsa.debian.org/debian/zbar
@@ -47,9 +51,12 @@
 Depends:
  libmagick++-dev,
  libx11-dev,
- libzbar0 (= ${binary:Version}),
+ libzbar0t64 (= ${binary:Version}),
  gir1.2-zbar-1.0 (= ${binary:Version}),
- ${misc:Depends},
+ ${gir:Depends},
+ ${misc:Depends},
+Provides:
+ ${gir:Provides},
 Description: QR code / bar code scanner and decoder (development)
  ZBar is a library for scanning and decoding bar codes from various sources
  such as video streams, image files or raw intensity sensors. It supports
@@ -57,7 +64,10 @@
  .
  This package contains the development files.
 
-Package: libzbar0
+Package: libzbar0t64
+Provides: ${t64:Provides}
+Replaces: libzbar0
+Breaks: libzbar0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -67,7 +77,7 @@
  ${shlibs:Depends},
 Recommends:
 # SVG support; See https://bugs.debian.org/995362
- libmagickcore-6.q16-6-extra,
+ libmagickcore-7.q16-10-extra,
 Description: QR code / bar code scanner and decoder (library)
  ZBar is a library for scanning and decoding bar codes from various sources
  such as video streams, image files or raw intensity sensors. It supports
@@ -82,7 +92,7 @@
 Depends:
  libgtk-3-dev,
  libzbar-dev (= ${binary:Version}),
- libzbargtk0 (= ${binary:Version}),
+ libzbargtk0t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: QR code / bar code scanner and decoder (GTK+ bindings development)
  ZBar is a library for scanning and decoding bar codes from various sources
@@ -91,13 +101,16 @@
  .
  This package contains the development files for the GTK+ bindings.
 
-Package: libzbargtk0
+Package: libzbargtk0t64
+Provides: ${t64:Provides}
+Replaces: libzbargtk0
+Breaks: libzbargtk0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libzbar0 (= ${binary:Version}),
+ libzbar0t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: QR code / bar code scanner and decoder (GTK+ bindings)
@@ -114,7 +127,7 @@
 Depends:
  libqt5x11extras5-dev,
  libzbar-dev (= ${binary:Version}),
- libzbarqt0 (= ${binary:Version}),
+ libzbarqt0t64 (= ${binary:Version}),
  qtbase5-dev,
  ${misc:Depends},
 Description: QR code / bar code scanner and decoder (Qt binding development)
@@ -124,11 +137,14 @@
  .
  This package contains the development files for the Qt binding.
 
-Package: libzbarqt0
-Architecture: any
-Multi-Arch: same
-Depends:
- libzbar0 (= ${binary:Version}),
+Package: libzbarqt0t64
+Provides: ${t64:Provides}
+Replaces: libzbarqt0
+Breaks: libzbarqt0 (<< ${source:Version})
+Architecture: any
+Multi-Arch: same
+Depends:
+ libzbar0t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: QR code / bar code scanner and decoder (Qt binding)
@@ -143,7 +159,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libzbar0 (= ${binary:Version}),
+ libzbar0t64 (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -158,7 +174,7 @@
 Section: graphics
 Architecture: any
 Depends:
- libzbar0 (= ${binary:Version}),
+ libzbar0t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
@@ -173,9 +189,10 @@
  and using a video4linux device (e.g. webcam) as a bar code scanner.
 
 Package: zbarcam-gtk
+Section: utils
 Architecture: linux-any
 Depends:
- libzbargtk0 (= ${binary:Version}),
+ libzbargtk0t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: QR code / bar code scanner and decoder (Gtk camera tool)
@@ -186,9 +203,10 @@
  This package contains the Gtk-based camara frontend tool.
 
 Package: zbarcam-qt
+Section: utils
 Architecture: linux-any
 Depends:
- libzbarqt0 (= ${binary:Version}),
+ libzbarqt0t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: QR code / bar code scanner and decoder (Qt camera tool)
